Вопрос Не удалось подключиться к Juniper VPN на Lubuntu 13.04


Я использую Lubuntu 13.04. Пробовал это с Chrome, Firefox и Epiphany с тем же результатом.

  1. Я запишусь на свою веб-страницу VPN
  2. Нажмите кнопку «Пуск», чтобы открыть соединение.
  3. Окно всплывает, спрашивая меня, хочу ли я установить файл jar -> Я нажимаю yes
  4. Терминал появляется, спрашивая у меня пароль root, который я вводил
  5. Индикатор выполнения обновляется мгновенно, когда кажется, что время ожидания, и я возвращаюсь к шагу 2
  6. Я снова нажимаю кнопку «Пуск», и индикатор выполнения продолжается там, где он остановился, повторите это несколько раз
  7. В конечном счете прогресс достигает конца бара, но ничего не происходит
  8. Если я ping машина, которую я пытаюсь подключить к машине, не найден
  9. Я не вижу VPN в моем списке соединений

Я пробовал шаги, изложенные Безумным Ученым в http://mad-scientist.us/juniper.html но он не соединяется ни с одним (статус-шоу «соединять» на секунду, затем «отключен»), но я думаю, что что-то фундаментальное идет не так до этого этапа в любом случае.

Есть идеи?

*ОБНОВИТЬ***


4
2018-06-12 10:27


происхождения


Не могли бы вы рассказать мне, какая версия Java вы используете? - karan
Я использую Java 7 - China Diapers
Вы используете 64-битную или 32-разрядную установку? См. Главный ответ здесь askubuntu.com/questions/136194/juniper-setup-on-12-04 - David Edwards
Я использую 64-разрядный Lubuntu, если это то, что вы имеете в виду. Спасибо, посмотрим ссылку - China Diapers
См. Обновление к исходному сообщению - China Diapers


ответы:


Если вы получили Juniper SA старше 7.3, тогда вам нужно установить как 32, так и 64 бит. Для запуска сетевого подключения вам необходимо запустить Java 32 бит.

Вам нужно установить пакет libxtst6: i386 для запуска 32-разрядной версии java на 64-битной системе:

sudo apt-get install libxtst6:i386 libxrender1:i386 libxi6:i386 libncurses5:i386 libncursesw5:i386 libncurses-ruby:i386

(если это не удается, установите пакет ia32-libs).

установить 64-битную версию в / usr / lib / java / jre /

установить 32-битную версию в / usr / lib / java32 / jre /

затем выполните следующие действия:

sudo mv /usr/lib/java/jre/bin/java{,.orig}

sudo gedit /usr/lib/java/jre/bin/java

файл должен выглядеть так:

#!/bin/bash
if [ "$3" = "NC" ]
then
  /usr/lib/java32/jre/bin/java "$@"
else
  /usr/lib/java/jre/bin/java.orig "$@"
fi

Тогда вам нужно сделать его исполнительным:

sudo chmod +x /usr/lib/java/jre/bin/java

Затем используйте альтернативы обновлений для установки соответствующей версии java:

sudo update-alternatives --install /usr/lib/mozilla/plugins/libnpjp2.so java_plugin /usr/lib/java/jre/lib/amd64/libnpjp2.so 10
sudo update-alternatives --install /usr/bin/java java /usr/lib/java/jre/bin/java 10
sudo update-alternatives --install /usr/bin/javaws javaws /usr/lib/java/jre/bin/javaws 10

Если у вас есть зашифрованная домашняя папка, с 13.04 добавлена ​​опция nosuid для монтирования, поэтому вы можете переместить папку .juniper за пределы зашифрованного дома, то есть: / opt создать символическую ссылку:

cd ~
mv .juniper /opt
ln -s /opt/.juniper .

Определите, установлен ли плагин java в Firefox (в дополнениях -> плагины). Если так, вы должны быть готовы к работе.

Я принял рецепт с этой страницы: http://ubuntuforums.org/showthread.php?t=232607&page=51

Но если вы хотите запустить OpenJDK, затем выполните следующие действия:

sudo apt-get install openjdk-7-jre icedtea-7-plugin openjdk-7-jre:i386 ia32-libs
sudo mv /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java{,.orig}
sudo gedit /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java

Это выглядит так:

#!/bin/bash
if [ "$3" = "NC" ]
then
  /usr/lib/jvm/java-7-openjdk-i386/jre/bin/java "$@"
else
  /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java.orig "$@"
fi

Сделайте его исполнительным:

chmod +x /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java

Пока это сработало для меня.

С Уважением,

Марио.


3
2017-08-02 20:47



Это была огромная помощь! Я пробовал множество других способов заставить Juniper VPN NC работать на Ubuntu 64bit, но это был единственный, который работал для меня. Спасибо! - mason81


Это то, что я получил, чтобы работать на моей машине Ubuntu 13.10 ...

sudo apt-get install openjdk-7-jre icedtea-7-plugin

sudo apt-get install openjdk-7-jre:i386

С этой точки зрения /usr/bin/java links в /etc/alternatives/java и что ссылки на /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java, Итак, теперь мы можем заменить первую ссылку на java скриптом:

cd /usr/bin

sudo mv -f java java.orig

sudo vi java

Вставьте эти строки;

\#!/bin/bash
if [ "$3" = "NC" ]
then
  /usr/lib/jvm/java-7-openjdk-i386/jre/bin/java "$@"
else
  /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java "$@"
fi

Сохраните файл и выйдите vi

sudo chmod +x java

Я не знаю, нужно это или нет, но я это сделал. Дополнительные ссылки в /usr/bin заменить скрипты так же, как указано выше

javac, javadoc, javah, javap, javaws

Для плагина java для firefox / mozilla укажите 64-разрядную версию в каталоге установки www.java.com. Для меня это было /usr/java/jre1.7.0_51

cd /usr

sudo mkdir java

cd java

sudo tar zxvf ~/Downloads/jre-7u51-linux-x64.tar.gz

cd /usr/lib/mozilla/plugins

sudo ln -s /usr/java/jre1.7.0_51/lib/amd64/libnpjp2.so

Перезагрузите браузер, чтобы выбрать изменение плагина.


3
2018-02-28 06:23



Я использую Mint 16 на основе 13.10, но он не работает полностью. Появляется апплет NC, но внезапно исчезает снова. До этого я задаю вопрос, чтобы убедиться, что установлены 32-битные библиотеки. Поэтому я стал дальше, прежде чем я сделал все это. До того, как апплет NC не появился вообще. Вы случайно не знаете, почему апплет NC снова исчезает? - Joost Van Durme


Выполнение следующих шагов после установки новой Ubuntu 13.04. Также моя домашняя папка не зашифрована ....

sudo apt-get install openjdk-7-jre icedtea-7-plugin

sudo apt-get install openjdk-7-jre: i386

sudo apt-get install ia32-libs

Вход в систему и настройка запросили мой пароль su и voila. Сначала он медленный, но после того, как я вышел из системы и снова зашел в систему, он вернулся к производительности Windows.

Надеюсь, это сработает для вас.

У меня есть dell inspiron 7720 с Intel i7 и графической картой Fusion.

Сначала я не покупал его для окон, пока они не отправились в Windows 8, которая была бы сосать ....


-2
2017-08-25 22:36



люди, которые являются downvoting: скажите почему. - Ken Williams